Search for service-orders
Search for service orders is case insensitive and you can use partial values, e.g. name 'Anna' will return both 'Anna' and 'Johanna'. Use the query to search for customer, service number or title from only one field. When this is used, the customer and service search fields are ignored. The array fields work like filters.
Required permissions: SERVICE_ORDER
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Search on customer, service number and title in one.
GTE date, e.g. 2006-05-04
LTE date, e.g. 2006-05-04
Example response
POST /v2/tenants/{tenantUid}/stores/{storeUid}/serviceorders/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324
{
"customerName": "text",
"customerMobile": "text",
"customerEmail": "text",
"title": "text",
"serviceNumber": "text",
"query": "text",
"fromCreatedDate": "2026-01-01",
"toCreatedDate": "2026-01-01",
"assignedUserUids": [
"text"
],
"createdFromStoreUids": [
"text"
],
"priorities": [
"NONE"
],
"serviceStates": [
"NOT_STARTED"
],
"serviceTypeUids": [
"text"
]
}Example response
{
"items": [
{
"serviceOrderUid": "text",
"tenantUid": "text",
"storeUid": "text",
"orderProductLineUid": "text",
"orderUid": "text",
"customerUid": "text",
"customerName": "text",
"createdFromStoreUid": "text",
"assignedUserUid": "text",
"assignedUserDisplayName": "text",
"serviceTypeUid": "text",
"serviceTypeName": "text",
"serviceStatusUid": "text",
"serviceStatusName": "text",
"serviceState": "NOT_STARTED",
"title": "text",
"serviceNumber": "text",
"externalServiceNumber": "text",
"description": "text",
"locationLabel": "text",
"priority": "NONE",
"requiresPriceEstimate": true,
"estimatedPrice": 1,
"maxPrice": 1,
"readyAtEstimate": "2026-01-01T00:00:00.000Z",
"readyAtNeeded": "2026-01-01T00:00:00.000Z",
"publicPageHash": "text",
"warranty": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"totals": {
"grandTotal": 1,
"partsTotal": 1,
"workTotal": 1
},
"items": [
{
"serviceOrderItemUid": "text",
"serviceOrderUid": "text",
"warehouseUid": "text",
"tenantUserUid": "text",
"productUid": "text",
"salesOrderUid": "text",
"quantity": 1,
"name": "text",
"sku": "text",
"price": 1,
"costPrice": 1,
"originalPrice": 1,
"totalPrice": 1,
"totalCostPrice": 1,
"serialNumber": "text",
"note": "text",
"tenantUserDisplayName": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}
],
"assets": [
{
"assetUid": "text",
"name": "text",
"description": "text",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text"
}
],
"rmaOrderItemUid": "text",
"rmaOrderUid": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

